<!DOCTYPE html>
<html th:replace="~{fragments/page :: layout(~{::title}, ~{::section})}"  xmlns:th="https://www.thymeleaf.org">

<head>

    <title>Users</title>
</head>

<body>
    <section>
        <div th:switch="${users}">
            <h2 th:case="null">Pas d'utilisateur</h2>
            <div th:case="*">
                <h2>Users</h2>
                <table>
                    <thead>
                        <tr>
                            <th>Nom</th>
                            <th>Prénom</th>
                            <th>Telephone</th>
                            <th>Adresses</th>
                            <th>Modifier</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr th:each="user : ${users}">
                            <td th:text="${user.lastname}"></td>
                            <td th:text="${user.firstname}"></td>
                            <td th:text="${user.telephone}"></td>
                            <td th:each="adresse : ${user.addresses}"></td>
                            <td><a th:href="@{/edit/user/{id}(id=${user.username})}">Edit</a></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <form th:action="@{/logout}" method="post">
            <input type="submit" value="Sign Out" />
        </form>
    </section>

</body>

</html>